Solve
Sol·licitar autoremediació de ticket Solve
Llança autoremediació on-demand sobre un ticket Solve (path genèric).
POST
/
v2
/
organizations
/
{organization_id}
/
solve
/
tickets
/
{ticket_id}
/
autoremediation
Sol·licitar autoremediació de ticket Solve
curl --request POST \
--url https://api.flexxible.net/v2/organizations/{organization_id}/solve/tickets/{ticket_id}/autoremediation \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.flexxible.net/v2/organizations/{organization_id}/solve/tickets/{ticket_id}/autoremediation"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.flexxible.net/v2/organizations/{organization_id}/solve/tickets/{ticket_id}/autoremediation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.flexxible.net/v2/organizations/{organization_id}/solve/tickets/{ticket_id}/autoremediation",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.flexxible.net/v2/organizations/{organization_id}/solve/tickets/{ticket_id}/autoremediation"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.flexxible.net/v2/organizations/{organization_id}/solve/tickets/{ticket_id}/autoremediation")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.flexxible.net/v2/organizations/{organization_id}/solve/tickets/{ticket_id}/autoremediation")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"external_id": "<string>",
"summary": "<string>",
"status": "<string>",
"external_status_raw": "<string>",
"pipeline_state": "<string>",
"solve_progress": "<string>",
"management_mode": "automated",
"itsm_type": "<string>",
"received_at": "2023-11-07T05:31:56Z",
"created_at_external": "2023-11-07T05:31:56Z",
"updated_at_external": "2023-11-07T05:31:56Z",
"category_mode": "<string>",
"number": "<string>",
"assist": {
"phase": "<string>",
"status": "<string>",
"outcome": "<string>",
"run_id": "<string>",
"ticket_id": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"diagnosis": "<string>",
"failure_reason": "<string>"
},
"priority": "<string>",
"workspace_id": "<string>",
"workspace_portal_id": "<string>",
"user": "<string>",
"category_family": "<string>",
"category_family_label": "<string>",
"category_id": "<string>",
"category_label": "<string>",
"deleted_at": "2023-11-07T05:31:56Z",
"ticket_type": "<string>",
"assignment_group": "<string>",
"pending_reason": "<string>",
"external_status_reason": "<string>",
"lifecycle_track": "<string>",
"workspace_confidence": 123,
"classification_scope": "<string>",
"classification_confidence": 123,
"classification_method": "<string>",
"reopen_count": 123,
"description": "<string>"
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}Autoritzacions
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Paràmetres de ruta
Identificador de l'organització.
Required string length:
24Pattern:
^[0-9a-f]{24}$Identificador compost del tiquet Solve.
Required string length:
1 - 512Resposta
OK
Opcions disponibles:
automated, self_managed Show child attributes
Show child attributes
Pattern:
^[0-9a-f]{24}$⌘I
Sol·licitar autoremediació de ticket Solve
curl --request POST \
--url https://api.flexxible.net/v2/organizations/{organization_id}/solve/tickets/{ticket_id}/autoremediation \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.flexxible.net/v2/organizations/{organization_id}/solve/tickets/{ticket_id}/autoremediation"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.flexxible.net/v2/organizations/{organization_id}/solve/tickets/{ticket_id}/autoremediation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.flexxible.net/v2/organizations/{organization_id}/solve/tickets/{ticket_id}/autoremediation",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.flexxible.net/v2/organizations/{organization_id}/solve/tickets/{ticket_id}/autoremediation"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.flexxible.net/v2/organizations/{organization_id}/solve/tickets/{ticket_id}/autoremediation")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.flexxible.net/v2/organizations/{organization_id}/solve/tickets/{ticket_id}/autoremediation")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"external_id": "<string>",
"summary": "<string>",
"status": "<string>",
"external_status_raw": "<string>",
"pipeline_state": "<string>",
"solve_progress": "<string>",
"management_mode": "automated",
"itsm_type": "<string>",
"received_at": "2023-11-07T05:31:56Z",
"created_at_external": "2023-11-07T05:31:56Z",
"updated_at_external": "2023-11-07T05:31:56Z",
"category_mode": "<string>",
"number": "<string>",
"assist": {
"phase": "<string>",
"status": "<string>",
"outcome": "<string>",
"run_id": "<string>",
"ticket_id": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"diagnosis": "<string>",
"failure_reason": "<string>"
},
"priority": "<string>",
"workspace_id": "<string>",
"workspace_portal_id": "<string>",
"user": "<string>",
"category_family": "<string>",
"category_family_label": "<string>",
"category_id": "<string>",
"category_label": "<string>",
"deleted_at": "2023-11-07T05:31:56Z",
"ticket_type": "<string>",
"assignment_group": "<string>",
"pending_reason": "<string>",
"external_status_reason": "<string>",
"lifecycle_track": "<string>",
"workspace_confidence": 123,
"classification_scope": "<string>",
"classification_confidence": 123,
"classification_method": "<string>",
"reopen_count": 123,
"description": "<string>"
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}